#
# spec file for package openal (Version 000508)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel audiofile ctags esound
# usedforbuild    SDL SDL-devel aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         openal
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Requires:     sdl
Version:      000508
Release:      257
URL:          http://www.openal.org/
Summary:      Open Audio Library
Source:       ftp://ftp.openal.org/openal-20000508.tar.bz2
Patch:        openal-20000508.patch
Patch1:       openal-20000508-inc.patch
Patch2:       openal-20000508-axp.patch
BuildRoot:    /var/tmp/%{name}-BUILD

%description
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral, with a clean,
simple C-based API.

Authors:
--------
    Michael Vance <briareos@lokigames.com>

SuSE series: snd

%prep
%setup -n openal
%patch0
%patch1
%patch2

%build
%{suse_update_config -f linux}
cd linux
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%ifarch ia64
LDFLAGS=-Wl,-relax \
%endif
./configure --prefix=/usr
make
make -C doc
make -C test

%install
make -C linux install DESTDIR=${RPM_BUILD_ROOT}/usr/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_infodir}
install -m 644 linux/doc/openal.info ${RPM_BUILD_ROOT}/%{_infodir}
install -d -m 755 ${RPM_BUILD_ROOT}/usr/lib/openal
cp -r linux/test/* ${RPM_BUILD_ROOT}/usr/lib/openal
install -d -m 755 ${RPM_BUILD_ROOT}/%{_defaultdocdir}/%{name}/docs
install -m 644 CHANGES CREDITS README ${RPM_BUILD_ROOT}/%{_defaultdocdir}/%{name}/
install -m 644 docs/*html ${RPM_BUILD_ROOT}/%{_defaultdocdir}/%{name}/docs
rm -rf ${RPM_BUILD_ROOT}/usr/lib/openal/*.o ${RPM_BUILD_ROOT}/usr/lib/openal/Makefile*
rm -rf ${RPM_BUILD_ROOT}/usr/lib/openal/CVS

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc %{_defaultdocdir}/%{name}
/usr/include/AL
/usr/lib/*
%{_infodir}/*

%changelog -n openal
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Tue May 22 2001 - pmladek@suse.cz
- fixed include files on ia64
- fixed preprocessor warnigs by patch for alpha
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 19 2001 - pmladek@suse.cz
- fixed to compile on axp
* Wed Apr 04 2001 - schwab@suse.de
- Pass -relax to linker on ia64.
- Fix makefile to use LDFLAGS.
- Remove -fPIC when building non-library object.
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Nov 30 2000 - ro@suse.de
- added suse-update-config
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jun 08 2000 - cihlar@suse.cz
- uncommented %%clean
* Tue May 09 2000 - smid@suse.cz
- buildroot added
- upgrade to version from 08.05.2000
* Tue Apr 11 2000 - sndirsch@suse.de
- removed '-Werror' and '-pedantic-erros' compiler flags
* Mon Mar 27 2000 - uli@suse.de
- renamed dif for easier maintenance
- __linux -> __linux__
- now uses RPM_OPT_FLAGS
* Wed Mar 15 2000 - 
- added test demos
* Thu Mar 09 2000 - sndirsch@suse.de
- created package
